FROM ubuntu:bionic

RUN DEBIAN_FRONTEND=noninteractive apt-get update && DEBIAN_FRONTEND=noninteractive apt-get install -yq \
    -o Dpkg::Options::="--force-confdef" -o Dpkg::Options::="--force-confold"  \
	ca-certificates \
	unzip \
	git \
	curl \
	make \
	cmake \
	gcc \
	g++ \
	clang \
	llvm \
	yasm \
	pkg-config \
	gcc-mingw-w64 \
	g++-mingw-w64 \
	pkg-config-mingw-w64-i686 \
	pkg-config-mingw-w64-x86-64 \
	gcc-arm-linux-gnueabihf \ 
	g++-arm-linux-gnueabihf \
	pkg-config-arm-linux-gnueabihf \
	gcc-aarch64-linux-gnu \
	g++-aarch64-linux-gnu \
	pkg-config-aarch64-linux-gnu \
	gcc-mips64el-linux-gnuabi64 \
	g++-mips64el-linux-gnuabi64 \
	pkg-config-mips64el-linux-gnuabi64 \
    && apt-get clean
RUN curl https://dl.google.com/go/go1.13.linux-amd64.tar.gz | tar xvz -C /usr/local
RUN curl https://repo.cocaine.farm/osxcross.tar.gz | tar xvz -C /usr/local

ENV GOPATH /go

ENV PATH $GOPATH/bin:/usr/local/go/bin:/usr/osxcross/target/bin:$PATH

WORKDIR /workdir
